> For the complete documentation index, see [llms.txt](https://docs.stakelocal.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stakelocal.io/dashboard-installation/prometheus-jobs-and-targets/clean-up-unused-targets.md).

# Clean Up Unused Targets

We started by unpacking an archive of Prometheu target files, and have now made modifications to files for clients we intend to use. At this point we may have many more target files installed for clients we do not intend to use.

Remove the target configuration files for clients you do not intend to use. Do not delete the target configuration files we have already customized and intend to use.

{% hint style="danger" %}
**Warning:** Do not delete target configuration files for clients you are using.
{% endhint %}

Here are commands to delete unwanted execution client target configuration files.

{% tabs %}
{% tab title="Besu" %}
Only run these commands if you are **NOT** monitoring Besu with the Stake Local Dashboard.

```bash
sudo rm -i /etc/prometheus/files_sd/stakelocal/execution_metrics/besu.yml
sudo rm -i /etc/prometheus/files_sd/stakelocal/execution_apis/besu.yml
```

{% endtab %}

{% tab title="Erigon" %}
Only run these commands if you are **NOT** monitoring Erigon with the Stake Local Dashboard.

```bash
sudo rm -i /etc/prometheus/files_sd/stakelocal/execution_metrics/erigon.yml
sudo rm -i /etc/prometheus/files_sd/stakelocal/execution_apis/erigon.yml
```

{% endtab %}

{% tab title="Geth" %}
Only run these commands if you are **NOT** monitoring Geth with the Stake Local Dashboard.

```bash
sudo rm -i /etc/prometheus/files_sd/stakelocal/execution_metrics/geth.yml
sudo rm -i /etc/prometheus/files_sd/stakelocal/execution_apis/geth.yml
```

{% endtab %}

{% tab title="Nethermind" %}
Only run these commands if you are **NOT** monitoring Nethermind with the Stake Local Dashboard.

```bash
sudo rm -i /etc/prometheus/files_sd/stakelocal/execution_metrics/nethermind.yml
sudo rm -i /etc/prometheus/files_sd/stakelocal/execution_apis/nethermind.yml
```

{% endtab %}
{% endtabs %}

Here are commands to delete unwanted consensus client target configuration files.

{% tabs %}
{% tab title="Lighthouse" %}
Only run these commands if you are **NOT** monitoring Lighthouse with the Stake Local Dashboard.

```bash
sudo rm -i /etc/prometheus/files_sd/stakelocal/consensus_metrics/lighthouse.yml
sudo rm -i /etc/prometheus/files_sd/stakelocal/consensus_apis/lighthouse.yml
```

{% endtab %}

{% tab title="Lodestar" %}
Only run these commands if you are **NOT** monitoring Lodestar with the Stake Local Dashboard.

```bash
sudo rm -i /etc/prometheus/files_sd/stakelocal/consensus_metrics/lodestar.yml
sudo rm -i /etc/prometheus/files_sd/stakelocal/consensus_apis/lodestar.yml
```

{% endtab %}

{% tab title="Nimbus" %}
Only run these commands if you are **NOT** monitoring Teku with the Stake Local Dashboard.

```bash
sudo rm -i /etc/prometheus/files_sd/stakelocal/consensus_metrics/nimbus.yml
sudo rm -i /etc/prometheus/files_sd/stakelocal/consensus_apis/nimbus.yml
```

{% endtab %}

{% tab title="Prysm" %}
Only run these commands if you are **NOT** monitoring Teku with the Stake Local Dashboard.

```bash
sudo rm -i /etc/prometheus/files_sd/stakelocal/consensus_metrics/prysm.yml
sudo rm -i /etc/prometheus/files_sd/stakelocal/consensus_apis/prysm.yml
```

{% endtab %}

{% tab title="Teku" %}
Only run these commands if you are **NOT** monitoring Teku with the Stake Local Dashboard.

```bash
sudo rm -i /etc/prometheus/files_sd/stakelocal/consensus_metrics/teku.yml
sudo rm -i /etc/prometheus/files_sd/stakelocal/consensus_apis/teku.yml
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakelocal.io/dashboard-installation/prometheus-jobs-and-targets/clean-up-unused-targets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
